Summary:	Small, fast daemon to serve DNSBLs
Name:		rbldnsd
Version:	0.995
Release:	4%{?dist}
License:	GPL
Group:		System Environment/Daemons
URL:		http://www.corpit.ru/mjt/rbldnsd.html
Source0:	http://www.corpit.ru/mjt/rbldnsd/rbldnsd_%{version}.tar.gz
Source1:	rbldnsd.init
Source2:	http://www.fsf.org/licensing/licenses/gpl.txt
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(pre):    %{_sbindir}/useradd
Requires(post):   /sbin/chkconfig
Requires(post):   /sbin/service
Requires(preun):  /sbin/chkconfig
Requires(preun):  /sbin/service
Requires(postun): /sbin/service

%description
Rbldnsd is a small, authoritative-only DNS nameserver designed to serve
DNS-based blocklists (DNSBLs). It may handle IP-based and name-based
blocklists.

%prep
%setup -q -n %{name}-%{version}
%{__cp} %{SOURCE2} .
%{__sed} -i -e 's@/var/lib/rbldns\([/ ]\)@%{_localstatedir}/lib/rbldnsd\1@g' \
	    -e 's@\(-r/[a-z/]*\) -b@\1 -q -b@g' debian/rbldnsd.default

%build
CFLAGS="%{optflags}" ./configure
%{__make}

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}{%{_sbindir},%{_mandir}/man8,%{_initrddir},%{_sysconfdir}/sysconfig}
%{__mkdir_p} %{buildroot}%{_localstatedir}/lib/rbldnsd
%{__install} -m 755 rbldnsd                %{buildroot}%{_sbindir}
%{__install} -m 644 rbldnsd.8              %{buildroot}%{_mandir}/man8
%{__install} -m 644 debian/rbldnsd.default %{buildroot}%{_sysconfdir}/sysconfig/rbldnsd
%{__install} -m 755 %{SOURCE1}             %{buildroot}%{_initrddir}/rbldnsd

%clean
%{__rm} -rf %{buildroot}

%pre
%{_sbindir}/useradd -r -s /sbin/nologin -d %{_localstatedir}/lib/rbldnsd \
        -c "rbldns daemon" rbldns &>/dev/null || :

%post
/sbin/chkconfig --add rbldnsd || :

%preun
if [ $1 -eq 0 ]; then
    /sbin/service rbldnsd stop &>/dev/null || :
    /sbin/chkconfig --del rbldnsd || :
fi

%postun
/sbin/service rbldnsd condrestart &>/dev/null || :

%files
%defattr (-,root,root,0755)
%doc README.user NEWS TODO debian/changelog CHANGES-0.81 gpl.txt
%{_sbindir}/rbldnsd
%{_mandir}/man8/rbldnsd.8*
%dir %{_localstatedir}/lib/rbldnsd
%config(noreplace) %{_sysconfdir}/sysconfig/rbldnsd
%{_initrddir}/rbldnsd

%changelog
* Tue Jun 28 2005 Paul Howarth <paul@city-fan.org> 0.995-4
- include gpl.txt as %%doc

* Mon Jun 27 2005 Paul Howarth <paul@city-fan.org> 0.995-3
- fix /etc/sysconfig/rbldnsd references to /var/lib/rbldns to point to
  %{_localstatedir}/lib/rbldnsd instead
- don't enable daemons in any runlevel by default
- add -q option to sample entries in /etc/sysconfig/rbldnsd

* Fri Jun 17 2005 Paul Howarth <paul@city-fan.org> 0.995-2
- first Fedora Extras build, largely based on upstream spec file
